Have ideas to improve npm?Join in the discussion! »

    react-native-flipper
    TypeScript icon, indicating that this package has built-in type declarations

    0.85.0 • Public • Published

    react-native-flipper

    This package exposes JavaScript bindings to talk from React Native JavaScript directly to flipper.

    This package might also be required by other Flipper plugins for React Native.

    Installation

    Run the following command in the root of your React Native project

    yarn add react-native-flipper

    Note that this package requires React Native 0.62 or higher.

    Usage

    How to build Flipper plugins is explained in the flipper documentation: Creating a Flipper plugin. Building a Flipper plugin involves building a plugin for the Desktop app, and a plugin that runs on a Device (Native Android, Native IOS or React Native). This package is only needed for the plugin that runs on the mobile device, in React Native, and wants to use the JavaScript bridge.

    This package exposes one method: addPlugin. The addPlugin accepts a plugin parameter, that registers a client plugin and will fire the relevant callbacks if the corresponding desktop plugin is selected in the Flipper Desktop. The full plugin API is documented here.

    Example

    An example plugin can be found in FlipperTicTacToe.js.

    The corresponding Desktop plugin ships by default in Flipper, so importing the above file and dropping the <FlipperTicTacToe /> component somewhere in your application should work out of the box.

    The sources of the corresponding Desktop plugin can be found here.

    Install

    npm i react-native-flipper

    DownloadsWeekly Downloads

    86,182

    Version

    0.85.0

    License

    MIT

    Unpacked Size

    44.9 kB

    Total Files

    41

    Last publish

    Collaborators

    • avatar
    • avatar